class aes::tal_cli (
  Optional[String] $credentials = undef
) {
  file { '/home/examadm/tal-cli' :
    ensure => directory,
    owner  => examadm,
    group  => examadm,
    mode   => '0700',
  }

  file { '/home/examadm/bin/tal-cli' :
    ensure => file,
    owner  => examadm,
    group  => examadm,
    mode   => '0755',
    source => "puppet:///modules/${module_name}/tal/tal-cli",
  }

  file { '/home/examadm/bin/tal-export' :
    ensure => file,
    owner  => examadm,
    group  => examadm,
    mode   => '0755',
    source => "puppet:///modules/${module_name}/tal/tal-export",
  }

  file { '/home/examadm/tal-cli/.tal' :
    ensure  => file,
    owner   => examadm,
    group   => examadm,
    mode    => '0600',
    content => $credentials,
  }

  file { '/home/examadm/tal-cli/on_update.sh' :
    ensure => file,
    owner  => examadm,
    group  => examadm,
    mode   => '0700',
    source => "puppet:///modules/${module_name}/tal/on_update.sh",
  }

  exec { 'update-tal-repo' :
    command     => '/opt/utils/update_repo.sh /home/examadm/tal-cli/source https://oauth2:glpat-bfpVssm_zFmt1YRW7cLz@gitlab.liu.se/upp-aes/tal-cli.git master',
    environment => ['REPO_ON_UPDATE=/home/examadm/tal-cli/on_update.sh'],
    user        => examadm,
    group       => examadm,
    cwd         => '/home/examadm/tal-cli',
  }
  
  file { '/etc/cron.daily/tal-remind' :
    ensure  => file,
    owner   => 'root',
    group   => 'root',
    mode    => '0700',
    content => @(END),
    #!/bin/bash
    if [ "$(hostname)" = "aes-devel.edu.liu.se" ]
    then
        TO="klas.arvidsson@liu.se"
    else
        TO="inrapportering@ida.liu.se"
    fi
    if [ -e /home/examadm/ENABLE_TAL_REMINDERS ]
    then
        sudo -u examadm /home/examadm/tal-cli/scripts/tal-remind.py --to ${TO}
        sudo -u examadm /home/examadm/tal-cli/scripts/tal-remind.py --to ${TO} --computer-exam
    fi
    | END
  }
}
